Telephony Server

The Telephony service implements Telephony Application Programming Interface (TAPI) services to support programs that effectively work the same way over intranets, the Internet, and traditional public phone networks. This Help file provides information for configuring and managing telephony servers and clients.

You can use the Telephony Microsoft Management Console (MMC) snap-in to manage the telephony servers on your network.

A telephony server manages telecommunications equipment, such as a Private Branch Exchange (PBX), through the use of TAPI-compatible software provided by the equipment vendor. TAPI provides a standard infrastructure for client computers to communicate with the telecom equipment across the network.
This Help file contains the following topics:
  • Telephony Checklists

  • Telephony Best Practices

  • Telephony How To...

  • Telephony Concepts

  • Telephony Troubleshooting


Telephony Checklists

The checklists included here help you get started with setting up your telephony servers and clients.

  • Checklist: Set up a Telephony Server

  • Checklist: Set up a Telephony Client

See Also

  • Telephony Best Practices
  • Telephony How To...
  • Telephony Concepts
  • Telephony Troubleshooting


Checklist: Set up a Telephony Server

Step | Reference
Review key concepts. | See Telephony Concepts.
For the telephony server, set up or select a computer that is running the Microsoft® Windows Server 2008 operating system. The server must either be in the same domain as the telephony clients, or be in a domain that has a two-way trust relationship with the domain containing the telephony clients. | See "Understanding Trusts" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=80972).
Install telephony hardware and software on the telephony server. | See manufacturer's documentation.
Enable the telephony server. | See Enable or Disable a Telephony Server.
Specify a logon account for the telephony server. You can create a specific account, such as TAPI_ADMIN. | See Change the Telephony Service Logon Account.
Designate telephony administrators who are not in the Administrators group on the telephony server. | See Designate Telephony Administrators.
Assign telephony users to lines or phones. | See Assign a Telephony User to a Line or a Phone.

See Also

  • Checklist: Set up a Telephony Client


Checklist: Set up a Telephony Client

Step Reference

Review key concepts.

See Telephony Concepts.

Install any necessary telephony hardware and software on the clients.

See manufacturer's documentation.

On each client:

  • Windows 2000: specify the telephony servers to be used by the client.

  • Windows Vista, Windows Server 2003, Windows XP: add the Windows Remote Service Provider.

See Specify Telephony Servers on a Telephony Client.

Configure general dialing rules, area code rules, and calling cards as required for users.

See Help in Network Center and your dialing tools.

For more information about dialing rules, see "Changing How Windows Dials Phone Numbers" in the Network and Sharing Center Operations Guide (http://go.microsoft.com/fwlink/?linkid=81008).

Dial and receive phone calls.

See manufacturer's documentation.

See Also

  • Checklist: Set up a Telephony Server


Telephony Best Practices

  • Typically, any computer with enough processing power to run Windows Server can act as a telephony server, linking client computers to hardware, such as a Private Branch Exchange (PBX).

    Other services, especially server-side telephony programs, may have different requirements.

    Remember that, if the telephony server is the PBX, it may make additional processing demands.

  • Obtain service provider components required to communicate with a PBX from a PBX vendor or reseller.

    The Telephony service does not include the service provider components required to communicate with a PBX.

  • Like networking software, a telephony program must be secured to protect privacy and data integrity.

    The Telephony service must run on a computer that is a member of a Active Directory Domain Services domain, and all telephony client users must have valid domain accounts. The domain administrator defines which users have permission to communicate with the PBX, and the telephony server administrator defines which lines those users can access.

  • Telephony client and users must be in the same domain as, or in a domain trusted by the telephony server.

    Make sure that telephony clients and telephony users are in the same domain as a telephony server or in a domain that has a two-way trust relationship with the domain containing the server.

  • Specify the telephony server on a telephony client or install the Windows Remote Service Provider to make lines or phones available to the client users

    TAPI is automatically installed on computers running Windows 2000, Windows XP, Windows Server 2003, Windows Vista, and Windows Server 2008. If your clients or your telephony server are running Windows 2000, you must specify a server on the telephony clients before the server's lines are available to the client users. On newer operating systems, you can use the Windows Remote Service Provider on clients so that they can automatically detect the server and configure themselves properly.

    For more information, see Specify Telephony Servers on a Telephony Client, and Add a Telephony Service Provider on a Telephony Client.

See Also

  • Telephony Checklists
  • Telephony How To...
  • Telephony Concepts
  • Telephony Troubleshooting


Telephony How To...

This section describes how to perform common administrative tasks on your telephony server and clients:

  • Manage Telephony Servers

  • Manage Telephony Service Providers on a Server

  • Manage Telephony Clients and Users

  • Using the TSecImp Command-Line Tool

  • Using the TcmSetup Command-Line Tool

See Also

  • Telephony Checklists
  • Telephony Best Practices
  • Telephony Concepts
  • Telephony Troubleshooting


Manage Telephony Servers

This section includes procedures that enable you to manage your telephony server:

  • Open the Telephony Snap-in

  • Add or Remove a Server from the Telephony Snap-in

  • Enable or Disable a Telephony Server

  • Designate Telephony Administrators

  • Change the Telephony Service Logon Account

  • Update or Refresh Information for a Telephony Server

See Also

  • Manage Telephony Service Providers on a Server
  • Manage Telephony Clients and Users
  • Using the TSecImp Command-Line Tool
  • Using the TcmSetup Command-Line Tool


Open the Telephony Snap-in

To manage a telephony server, use the Telephony snap-in.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To open the Telephony snap-in

  1. Click Start, then click Run, and then enter the command mmc tapimgmt.msc.

  2. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  3. If the telephony server you want to manage is not listed, you can connect to it by following the procedure Add or Remove a Server from the Telephony Snap-in.

See Also

  • Add or Remove a Server from the Telephony Snap-in
  • Enable or Disable a Telephony Server
  • Designate Telephony Administrators
  • Change the Telephony Service Logon Account
  • Update or Refresh Information for a Telephony Server


Add or Remove a Server from the Telephony Snap-in

With the Telephony MMC snap-in you can manage all of the Telephony Servers in your organization. To see additional servers in your console, or remove those that you no longer need, follow these procedures.

  • To add a telephony server to the snap-in

  • To remove a telephony server from the snap-in

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To add a telephony server to the snap-in

  1. Open the Telephony Snap-in.

  2. In the console tree, click Telephony.

  3. On the Action menu, click Add Computer.

  4. In the Select Computer dialog box, click Locations, and then click the domain where the server is located.

  5. In Enter the object name to select, enter the name of the telephony server to manage, and then click OK.
Additional considerations

The Telephony service must be enabled on the computer you want to administer. For more information, see Enable or Disable a Telephony Server.

To remove a telephony server from the snap-in

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to remove.

  3. On the Action menu, click Delete.
Additional considerations

This procedure removes the server from the Telephony snap-in. It does not disable it or prevent it from being used by telephony clients. To disable a telephony server, see Enable or Disable a Telephony Server.

See Also

  • Open the Telephony Snap-in
  • Enable or Disable a Telephony Server
  • Designate Telephony Administrators
  • Change the Telephony Service Logon Account
  • Update or Refresh Information for a Telephony Server


Enable or Disable a Telephony Server

Telephony server is installed by default on computers running Windows Server 2008, but you must enable the service before you can use it.

This procedure affects whether clients can use the telephony devices on the server. Changes take effect the next time the system attempts to start the Telephony service.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To enable or disable a telephony server

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to manage.

  3. On the Action menu, click Properties.

  4. On the Setup tab, do one of the following:

    • To enable the telephony server, select the Enable telephony server check box.

    • To disable the telephony server, clear the Enable telephony server check box.

  5. If you are enabling the telephony server, under Account Information, specify a logon account for the Telephony service. See Change the Telephony Service Logon Account.
Note

If the Enable telephony server check box is unavailable, you need to start the Telephony service first.

See Also

  • Open the Telephony Snap-in
  • Add or Remove a Server from the Telephony Snap-in
  • Designate Telephony Administrators
  • Change the Telephony Service Logon Account
  • Update or Refresh Information for a Telephony Server


Designate Telephony Administrators

Telephony administrators have the ability to manage the Telephony service, and can manage the users, telephony lines, and phones.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To designate telephony administrators

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to manage.

  3. On the Action menu, click Properties.

  4. On the Setup tab, in Telephony administrators, click Add.

  5. In the Select Users dialog box, click Locations, and then click the domain where the user account is located.

  6. In Enter the object names to select, type the name of the user to be designated as a telephony administrator, and then click OK.
Additional considerations
  • Members of the Administrators group can administer the Telephony service without performing this procedure. By using this procedure, you can grant authority to manage the telephony server to users that are not members of the Administrators group.

  • If the user's domain is not listed in the Locations dialog box, try specifying the domain in Enter the object names to select by using the following format:

    domain\username

See Also

  • Open the Telephony Snap-in
  • Add or Remove a Server from the Telephony Snap-in
  • Enable or Disable a Telephony Server
  • Change the Telephony Service Logon Account
  • Update or Refresh Information for a Telephony Server


Change the Telephony Service Logon Account

The service account is the user account under which the Telephony service runs.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To change the Telephony service logon account

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to manage.

  3. On the Action menu, click Properties.

  4. On the Setup tab, in Account Information, click Choose User.

  5. In the Select User dialog box, click Locations, and then click the domain where the account is located.

  6. In Enter the object name to select, type the name of the account, and then click OK.
Additional considerations

If the user's domain is not listed in the Locations dialog box, try specifying the domain in Enter the object name to select by using the following format:

domain\username

See Also

  • Open the Telephony Snap-in
  • Add or Remove a Server from the Telephony Snap-in
  • Enable or Disable a Telephony Server
  • Designate Telephony Administrators
  • Update or Refresh Information for a Telephony Server


Update or Refresh Information for a Telephony Server

This procedure updates the status of lines and phones, displays new lines and phones, and shows changes made by others administering the Telephony service.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To update or refresh information for a telephony server

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to manage.

  3. On the Action menu, click Refresh.

See Also

  • Open the Telephony Snap-in
  • Add or Remove a Server from the Telephony Snap-in
  • Enable or Disable a Telephony Server
  • Designate Telephony Administrators
  • Change the Telephony Service Logon Account


Manage Telephony Service Providers on a Server

This section includes procedures that enable you to manage the telephony service providers on your telephony server:

  • Add a Telephony Service Provider on a Telephony Server

  • Configure Telephony Service Providers on a Telephony Server

  • View the Status of the Lines or Phones for a Telephony Service Provider

  • Export Telephony Service Provider Information to a Text File

  • Enable Auto Updates for Telephony Devices

See Also

  • Manage Telephony Servers
  • Manage Telephony Clients and Users
  • Using the TSecImp Command-Line Tool
  • Using the TcmSetup Command-Line Tool


Add a Telephony Service Provider on a Telephony Server

You can use this procedure to make additional telephony service providers available on your telephony server.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add a telephony service provider

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to manage.

  3. On the Action menu, click Manage Providers.

  4. In the Telephony Providers dialog box, click Add.

  5. In the Add Provider dialog box, under Available telephony providers, select the telephony service provider that you want to add, and then click Add.

    If the telephony service provider you want to add does not appear in this list, you must install the appropriate driver files for the telephony service provider. For more information, see "Additional considerations" in this topic.

  6. In the Telephony Providers dialog box, review the list of installed telephony service providers to confirm that the provider was added to the list, and then click Close.
Additional considerations
  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator. For more information, see Designate Telephony Administrators.

  • After you add a telephony service provider, the Telephony snap-in might not display the lines and phones supported by the service provider until after the computer is restarted.

  • If the telephony driver is not listed in the Available telephony drivers list in the Add Provider dialog box, you must install the driver files in the %Systemroot%\system32 folder. Usually you can use the setup program on an installation disk for a telephony device. For additional information, see the installation instructions for your telephony device.

See Also

  • Configure Telephony Service Providers on a Telephony Server
  • View the Status of the Lines or Phones for a Telephony Service Provider
  • Export Telephony Service Provider Information to a Text File
  • Enable Auto Updates for Telephony Devices


Configure Telephony Service Providers on a Telephony Server

You can use this procedure to configure the telephony service providers available on your telephony server.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure a telephony service provider

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to manage.

  3. On the Action menu, click Manage Providers.

  4. Select the telephony service provider you want to configure, and then click Configure.

    If Configure is not available, then the telephony service provider does not have any settings that you can change.
Additional considerations
  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator. For more information, see Designate Telephony Administrators.

  • The settings you can change depend on the telephony service provider.

  • You can also configure telephony service providers on the local computer using Phone and Modem Options in Control Panel.

See Also

  • Add a Telephony Service Provider on a Telephony Server
  • View the Status of the Lines or Phones for a Telephony Service Provider
  • Export Telephony Service Provider Information to a Text File
  • Enable Auto Updates for Telephony Devices


View the Status of the Lines or Phones for a Telephony Service Provider

You can use this procedure to view information about the lines or phones managed by a telephony service provider.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To view the status of lines or phones for a telephony service provider

  1. Open the Telephony Snap-in.

  2. In the console tree, double-click the server you want to manage to expand it.

  3. Click the telephony service provider you want to examine.

  4. On the View menu, click Lines or Phones.

    The details pane displays the selected information.
Additional considerations
  • If the telephony server is not enabled, performing this task does not require administrative credentials. Any user who logs on to the telephony server can view the status of the lines and phones for each telephony service provider on the server. In addition, that user can view the names of all users who are assigned to lines or phones on the server.

  • If the telephony server is enabled, to view the status of lines or phones for each telephony service provider on the server you must log on to the telephony server as one of the following:

    • A member of the local Administrators group on the telephony server.

    • A telephony administrator. For more information, see Designate Telephony Administrators

    • A user who is assigned to a line or phone on the telephony server.

    Members of the local Administrators group on the telephony server and telephony administrators can view the names of all users who are assigned to each of the telephony lines or phones on the server. However, a user who is assigned to a line or phone on the server cannot view the names of other users who are assigned to lines or phones on the server.

See Also

  • Add a Telephony Service Provider on a Telephony Server
  • Configure Telephony Service Providers on a Telephony Server
  • Export Telephony Service Provider Information to a Text File
  • Enable Auto Updates for Telephony Devices


Export Telephony Service Provider Information to a Text File

You can use this procedure to export information about your telephony service provider to a text file.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add a Telephony Service Provider

  1. Open the Telephony Snap-in.

  2. In the console tree, double-click the server you want to manage to expand it.

  3. In the console tree, click the telephony service provider whose information you want to export.

  4. On the Action menu, click Export List.

  5. In the Export List dialog box, browse to the folder in which you want to store the file, enter a file name, and click Save.
Additional considerations
  • If the telephony server is not enabled, performing this task does not require administrative credentials. Any user who logs on to the telephony server can export telephony service provider information to a text file. The information that is exported will include a list of telephony lines and phones on the telephony server and the names of users who are assigned to each of the telephony lines or phones.

  • If the telephony server is enabled, to view the status of lines or phones for each telephony service provider on the server you must log on to the telephony server as one of the following:

    • A member of the local Administrators group on the telephony server.

    • A telephony administrator. For more information, see Designate Telephony Administrators.

    • A user who is assigned to a line or phone on the telephony server.

    Members of the local Administrators group on the telephony server and telephony administrators can export the names of users who are assigned to each of the telephony lines or phones on the server. However, a user who is assigned to a line or phone on the server cannot export the names of other users who are assigned to lines or phones on the server.

See Also

  • Add a Telephony Service Provider on a Telephony Server
  • Configure Telephony Service Providers on a Telephony Server
  • View the Status of the Lines or Phones for a Telephony Service Provider
  • Enable Auto Updates for Telephony Devices


Enable Auto Updates for Telephony Devices

You can use this procedure to specify that the telephony server update the status information for the devices that are attached to it, such as lines and phones, automatically, at an interval you select.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To enable auto updates for telephony devices

  1. Open the Telephony Snap-in.

  2. In the console tree, click the server you want to manage.

  3. On the Action menu, click Properties, and then click the Auto Updates tab.

  4. Select the Enable device status auto updates check box.

  5. Next to Interval, type the Hours and Minutes between automatic updates.

See Also

  • Add a Telephony Service Provider on a Telephony Server
  • Configure Telephony Service Providers on a Telephony Server
  • View the Status of the Lines or Phones for a Telephony Service Provider
  • Export Telephony Service Provider Information to a Text File


Manage Telephony Clients and Users

This section contains procedures that enable you to manage your telephony client computers and their users:

  • Assign a Telephony User to a Line or a Phone

  • Remove Users from Telephony Lines or Phones

  • Specify Telephony Servers on a Telephony Client

  • Add a Telephony Service Provider on a Telephony Client

  • Configure a Telephony Service Provider on a Telephony Client

See Also

  • Manage Telephony Servers
  • Manage Telephony Service Providers on a Server
  • Using the TSecImp Command-Line Tool
  • Using the TcmSetup Command-Line Tool


Assign a Telephony User to a Line or a Phone

  • You can perform this procedure to allow your users to use a telephony line or phone on the telephony server. After you perform this procedure, telephony client programs run by the user can use the line or phone on the telephony server.

  • A user added for a phone or line must be in the same domain as the telephony server or in a domain that has a two-way trust relationship with the domain containing the server.

  • Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To assign a telephony user to a line or phone

  1. Open the Telephony Snap-in.

  2. In the console tree, click the service provider you want to manage. To find the service provider, double-click Telephony, double-click the server you want to manage, and then click the service provider for the line you want to assign.

  3. In the details pane, under Line Name or Phone Name, click the line or phone.

  4. On the Action menu, click Edit Users.

  5. In the Edit Users dialog box, click Add.

  6. In the Select Users dialog box, click Locations, and then click the domain where the user is located.

  7. In Enter the object names to select, enter the name of the user to be assigned a line or phone, and then click OK.
Additional considerations
  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator. For more information, see Designate Telephony Administrators.

  • By default, members of groups with administrative credentials for a telephony server already have access to all telephony lines or phones on that server and therefore do not need to be assigned lines or phones on the server. Members of the local Administrators group can access all lines or phones on that server from any other computer in the domain. Members of the Domain Admins group can access all telephony lines and phones on all servers in the domain.

  • If the user's domain is not listed in the Locations dialog box, try specifying the domain in Enter the object names to select by using the following format:

    domain\username

  • You can also use the TSecImp command-line tool to assign lines and phones to users at one time by importing the assignments from an XML file. For more information, see Using the TSecImp Command-Line Tool.

  • Before a user can use the telephony line or phone, the telephony server must be specified on the client computer. For more information, see Specify Telephony Servers on a Telephony Client.

See Also

  • Remove Users from Telephony Lines or Phones
  • Specify Telephony Servers on a Telephony Client
  • Add a Telephony Service Provider on a Telephony Client
  • Configure a Telephony Service Provider on a Telephony Client


Remove Users from Telephony Lines or Phones

You can perform this procedure to remove a user's access to a telephony line or phone. After you perform this procedure, telephony client programs run by the user cannot use the line or phone on the telephony server.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To remove a telephony user from a line or phone

  1. Open the Telephony Snap-in.

  2. In the console tree, click the service provider you want to manage. To find the service provider, double-click Telephony, double-click the server you want to manage, and then click the service provider for the line you want to assign.

  3. In the details pane, under Line Name or Phone Name, click the line or phone.

  4. On the Action menu, click Edit Users.

  5. In the Edit Users dialog box, under Assigned Users, select a user, and then click Remove.
Additional considerations
  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator. For more information, see Designate Telephony Administrators.

  • You can remove multiple users from telephony lines or phones at one time by using the TSecImp command. For more information, see Using the TSecImp Command-Line Tool.

See Also

  • Assign a Telephony User to a Line or a Phone
  • Specify Telephony Servers on a Telephony Client
  • Add a Telephony Service Provider on a Telephony Client
  • Configure a Telephony Service Provider on a Telephony Client


Specify Telephony Servers on a Telephony Client

For a user to access a telephony server from a client computer, the client computer must be configured with the name of the server (or servers) to access.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

On computers running Windows Vista, Windows Server 2008, Windows XP, or Windows Server 2003

Add the Windows Remote Service Provider to your clients. The Windows Remote Service Provider enables clients to detect telephony servers and then configure themselves with the telephony server names.

To add the Remote Service Provider on a telephony client

  1. Open Phone and Modem Options in Control Panel. To do so, click Start, and then click Control Panel. Click Hardware and Sound, and then click Phone and Modem Options.

  2. If this is the first time opening this Control Panel item, the Location Information window appears. Fill in the details appropriate for your location, and then click OK.

  3. On the Advanced tab, click Add.

  4. In the Add Provider dialog box, under Telephony providers, select Microsoft Windows Remote Service Provider, and then click Add.
On computers running Windows 2000
To specify telephony servers on a client computer

  1. Open a Command Prompt window.

  2. Type the command: tcmsetup /c server1 server2 …
Additional considerations
  • The client must be in the same domain as the telephony server, or in a domain that has a two-way trust relationship with the domain of the telephony server, when you run tcmsetup.

  • In the tcmsetup command-line syntax, server1 server2 ... represents the names of one or more telephony servers. Because tcmsetup replaces any previous server list, make sure that you include every telephony server that you want available to the client when you run tcmsetup.

  • For more information about tcmsetup, see Using the TcmSetup Command-Line Tool.

  • You may have to restart the Telephony service for this change to take effect.

  • Before client users can dial out using the phone lines on the telephony server, the telephony server administrator must assign the users to the phone lines. For more information, see Assign a Telephony User to a Line or a Phone.

See Also

  • Assign a Telephony User to a Line or a Phone
  • Remove Users from Telephony Lines or Phones
  • Add a Telephony Service Provider on a Telephony Client
  • Configure a Telephony Service Provider on a Telephony Client


Add a Telephony Service Provider on a Telephony Client

You can use this procedure to make an additional telephony service provider available to your telephony service clients.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To add a telephony service provider on a telephony client

  1. Open Phone and Modem Options in Control Panel.

  2. On the Advanced tab, click Add.

  3. In the Add Provider dialog box, under Telephony providers, click the service provider, then click Add.

    If the telephony service provider that you want to add does not appear in this list, you must install the appropriate driver files for the telephony service provider.
Additional considerations
  • In order for telephony clients to find the telephony service providers on a telephony server, they must be configured to find the server. For more information see Specify Telephony Servers on a Telephony Client.

  • This procedure only adds telephony service providers that are already installed on your hard drive in the %Systemroot%\system32 folder. Use the setup or installation program provided by the hardware manufacturer to install the driver files for a new telephony service provider.

  • The setup program of a hardware manufacturer typically adds the new telephony service provider to the list on the Advanced tab of Phone and Modem Options. If a telephony service provider is not listed on the Advanced tab after you run the setup program, use this procedure to add the service provider. If it is not listed in the Add Provider dialog box, see documentation from the hardware manufacturer for further instructions.

See Also

  • Assign a Telephony User to a Line or a Phone
  • Remove Users from Telephony Lines or Phones
  • Specify Telephony Servers on a Telephony Client
  • Configure a Telephony Service Provider on a Telephony Client


Configure a Telephony Service Provider on a Telephony Client

You can use this procedure to configure the telephony service providers installed on your telephony client.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To configure a telephony service provider on a telephony client

  1. Open Phone and Modem Options in Control Panel.

  2. On the Advanced tab, under Providers, click the service provider you want to configure.

  3. Click Configure.

    The settings you can change depend on the service provider. If Configure is unavailable, then the service provider does not have any settings that you can change.

See Also

  • Assign a Telephony User to a Line or a Phone
  • Remove Users from Telephony Lines or Phones
  • Specify Telephony Servers on a Telephony Client
  • Add a Telephony Service Provider on a Telephony Client


Using the TSecImp Command-Line Tool

TSecImp imports line and phone assignment information from an Extensible Markup Language (XML) file into the telephony server security file (Tsec.ini). You can also use this command to display the list of telephony service providers and the lines and devices associated with each of them, validate the structure of the XML file without importing the contents, and check domain membership of the users for which you want to add permissions.

To import an XML file into the Tsec.ini file

Syntax

tsecimp -f FileName [{-v | -u}]

Parameters
-f FileName
Required. Specifies the name of the XML file that contains the assignment information that you want to import.

-v
Validates the structure of the XML file without importing the information into the Tsec.ini file.

-u
Checks whether each user is a member of the domain specified in the XML file. The computer on which you use this parameter must be connected to the network. This parameter might significantly slow performance if you are processing a large amount of user assignment information.

To display telephony service providers with their lines and devices

Syntax

tsecimp -d

Parameters
-d
Displays a list of installed telephony providers. For each telephony provider, the associated line devices are listed, as well as the IP addresses and users associated with each line device.

XML File Structure

The XML file from which you want to import assignment information must follow the structure described below.

  • UserList element

    The UserList is the top element of the XML file.

  • User element

    Each User element contains information about a user who is a member of a domain. Each user might be assigned one or more line devices.

    Additionally, each User element might have an attribute named NoMerge. When this attribute is specified, all current line device assignments for the user are removed before new ones are made. You can use this attribute to easily remove unwanted user assignments. By default, this attribute is not set.

    The User element must contain a single DomainUserName element, which specifies the domain and user name of the user. The User element might also contain one FriendlyName element, which specifies a friendly name for the user.

    The User element might contain one LineList element. If a LineList element is not present, all line devices for this user are removed.

  • LineList element

    The LineList element contains information about each line or device that might be assigned to the user. Each LineList element can contain more than one Line element. If a LineList element is not present, all line devices for this user are removed.

  • Line element

    Each Line element specifies a line device. You must identify each line device by adding either an Address element or a PermanentID element under the Line element.

    For each Line element, you can set the Remove attribute. If you set this attribute, the user is no longer assigned that line device. If this attribute is not set, the user gains access to that line device. No error is reported to you if the line device is not available to the user.

Sample XML File Syntax

  • The following sample XML code segments illustrate correct usage of the elements defined above.

    • The following code removes all line devices assigned to User1 by using the NoMerge attribute.

      <UserList>
  <User NoMerge="1">
    <DomainUser>domain1\user1</DomainUser>
  </User>
</UserList>
    • The following code removes all line devices assigned to User1 by using the NoMerge attribute, before assigning one line with address 99999 by including a LineList with one Line element. User1 will have no other lines devices assigned, regardless of whether any line devices were assigned previously.

      <UserList>
  <User NoMerge="1">
    <DomainUser>domain1\user1</DomainUser>
    <FriendlyName>User1</FriendlyName>
    <LineList>
      <Line>
        <Address>99999</Address>
      </Line>
    </LineList>
  </User>
</UserList>
    • The following code adds one line device for User1 without deleting any previously assigned line devices.

      <UserList>
  <User>
    <DomainUser>domain1\user1</DomainUser>
    <FriendlyName>User1</FriendlyName>
    <LineList>
      <Line>
        <Address>99999</Address>
      </Line>
    </LineList>
  </User>
</UserList>
    • The following code adds line address 99999 and removes line address 88888 from access by User1.

      <UserList>
  <User>
    <DomainUser>domain1\user1</DomainUser>
    <FriendlyName>User1</FriendlyName>
    <LineList>
      <Line>
        <Address>99999</Address>
      </Line>
      <Line Remove="1">
        <Address>88888</Address>
      </Line>
    </LineList>
  </User>
</UserList>
    • The following code adds permanent device 1000 and removes line 88888 from access by User1.

      <UserList>
  <User>
    <DomainUser>domain1\user1</DomainUser>
    <FriendlyName>User1</FriendlyName>
    <LineList>
      <Line>
        <PermanentID>1000</PermanentID>
      </Line>
      <Line Remove="1">
        <Address>88888</Address>
      </Line>
    </LineList>
  </User>
</UserList>
  • The following sample output appears after the -d command-line option is specified to display the current telephony server configuration. For each telephony provider, the associated line devices are listed, as well as the addresses and users associated with each line device.

    NDIS Proxy TAPI Service Provider
        Line: "WAN Miniport (L2TP)"
Permanent ID: 12345678910

NDIS Proxy TAPI Service Provider
        Line: "LPT1DOMAIN1\User1"
Permanent ID: 12345678910

Microsoft H.323 Telephony Service Provider
        Line: "H323 Line"
Permanent ID: 123456
Addresses:
        BLDG1-TAPI32

Formatting legend

Format | Meaning
Italic | Information that the user must supply
Bold | Elements that the user must type exactly as shown
Between brackets ([]) | Optional items
Between braces ({}); choices separated by pipe (|). Example: {even|odd} | Set of choices from which the user must choose only one
Courier font | Code or program output

See Also

  • Manage Telephony Servers
  • Manage Telephony Service Providers on a Server
  • Manage Telephony Clients and Users
  • Using the TcmSetup Command-Line Tool


Using the TcmSetup Command-Line Tool

The TcmSetup command-line tool configures or disables the telephony client. In order for telephony functions to work correctly, you must run tcmsetup to specify the remote servers that will be used by telephony clients.

Configuring a client to use a remote server

Syntax

tcmsetup [/q] [/x] /c Server1 [Server2...]

Parameters
/q
Prevents the display of message boxes.

/x
Specifies that connection-oriented callbacks will be used for heavy traffic networks where packet loss is high. When this parameter is omitted, connectionless callbacks will be used.

/c
Required. Specifies client setup.

Server1
Required. Specifies the name of the remote server that has the telephony service providers that the client will use. The client will use the lines and phones of this service provider. The client must be in the same domain as the server or in a domain that has a two-way trust relationship with the domain that contains the server.

Server2...
Specifies any additional server or servers that will be available to this client. If you specify a list of servers is, use a space to separate the server names.

/?
Displays help at the command prompt.

Disabling a telephony client

Syntax

tcmsetup [/q] /c /d

/q
Prevents the display of message boxes.

/c
Required. Specifies client setup.

/d
Required. Clears the list of remote servers. Disables the TAPI client by preventing it from using the TAPI service providers that are on the remote servers.

/?
Displays help at the command prompt.

Additional considerations

  • Before a client user can use a phone or line on a telephony server, the telephony server administrator must assign the user to the phone or line.

  • The list of telephony servers that is created by this command replaces any existing list of telephony servers available to the client. You cannot use this command to add to the existing list.

Formatting legend

Format | Meaning
Italic | Information that the user must supply
Bold | Elements that the user must type exactly as shown
Ellipsis (...) | Parameter that can be repeated several times in a command line
Between brackets ([]) | Optional items

See Also

  • Manage Telephony Servers
  • Manage Telephony Service Providers on a Server
  • Manage Telephony Clients and Users
  • Using the TSecImp Command-Line Tool


Telephony Concepts

This section provides general background information about the Telephony service.

For information about dialing in Windows using Telephony Application Programming Interface (TAPI), see "Changing How Windows Dials Phone Numbers" in the Network and Sharing Center Operations Guide (http://go.microsoft.com/fwlink/?linkid=81008).

  • Telephony Overview

  • Understanding Telephony

  • Using Telephony

See Also

  • Telephony Checklists
  • Telephony Best Practices
  • Telephony How To...
  • Telephony Troubleshooting


Telephony Overview

Telephony Application Programming Interface (TAPI) integrates telecommunications with the computer. TAPI supports both traditional (that is public switched telephone network or PSTN) and IP telephony to provide voice, data, and video communication. Supported hardware includes sound and video cards, modems, Integrated Services Digital Network (ISDN) lines, Asynchronous Transfer Mode (ATM) networks, and cameras. With this, you can communicate over direct connections to local computers, phone lines, local area networks (LANs), wide area networks (WANs), and the Internet.

In addition to making and receiving calls, programs can use TAPI to provide enhanced telephony features such as caller ID, call routing, voice mail, and video conferencing. Communication programs might identify the caller, recall and display caller information, and even prioritize or route a call, based on customer information.

With TAPI, there is a common standard so that communication programs can control telephony functions for data, fax, and voice calls:

  • TAPI manages all signaling between a computer and a telephone network, including basic functions such as dialing, answering, and hanging up a call.

  • TAPI includes supplementary functions that are found in PBX, ISDN, and other phone systems, such as hold, transfer, conference, and call park.

  • TAPI provides access to features that are customized by specific service providers, with built-in extensibility to accommodate additional telephony features and networks.

HyperTerminal and Network Connections are communication programs that use TAPI and that are provided with the Microsoft® Windows Vista® and Windows Server® 2008 operating systems. Fax Services, another communication program that uses TAPI, is available on an optional basis. You can also install other Microsoft or non-Microsoft programs to provide additional telephony support. The common interface that TAPI provides enables different communication programs to work together and share communication devices.

See Also

  • Understanding Telephony
  • Using Telephony


Understanding Telephony

This section covers the following topics:

  • Introduction to Telephony

  • Telephony Service Providers

  • PSTN Telephony

  • PSTNs, PBXs, and Computer Networks

  • How Telephony Supports Programs and Hardware

See Also

  • Telephony Overview
  • Using Telephony


Introduction to Telephony

Telephony Application Programming Interface (TAPI) provides a uniform set of commands for any supported telephony device that is connected to your computer. TAPI is implemented in Microsoft® Windows Vista and Windows Server 2008 by the Telephony service. Programs that are compliant with TAPI do not have to know the specific hardware you are using to communicate. The Telephony service and the appropriate telephony service provider do all of the translating and interacting with the hardware on the application's behalf.

How telephony works

When you use a Windows Vista or Windows Server 2008 family program to send faxes, connect to a telephone, or perform other TAPI-supported activities, there are three layers of software that enable you to use a telephony device: a TAPI-compliant program, the Telephony service, and a telephony service provider:

  • A telephony program enables you to make phone calls, or send and receive data or faxes. Microsoft and independent software vendors provide programs that incorporate TAPI-compliant functionality. For example, dial-up networking, included with Windows Vista and Windows Server 2008, uses the Telephony service to interact with your modem or ISDN hardware to dial phone numbers.

  • The Telephony service receives TAPI requests from the program, and provides common functions to those applications, such as dialing a modem.

  • A telephony service provider translates the commands for a specific telephony device or telephony protocol. Telephony service providers for modems and several telephony protocols are installed with Windows Vista and Windows Server 2008, and others are provided by independent hardware vendors.

The three layers of telephony on Windows

TAPI's three layers

How telephony works with telephony hardware

In place of proprietary solutions that are difficult and expensive to implement, TAPI defines a single set of commands allowing hardware and software to come from different sources. When a telephony program requests an action, the Telephony service determines which telephony service provider supports the device, and then the service provider sends the appropriate commands to the device.

For example, the Unimodem (Universal Modem) 5 service provider is installed with the Windows Vista and Windows Server 2008 operating systems. When a program on the client computer initiates the dialing of a phone number, the Telephony service sends the appropriate commands to the Unimodem 5 Service Provider, and it sends the correct sequence of commands for dialing the number on the particular modem attached to the client computer. The program does not need to know anything about the modem.

With the Telephony service and its telephony service providers, the Windows provides a telephony platform. Windows Vista and Windows Server 2008 serve as the operator that interconnects computer and telephony resources to direct and manage calls. TAPI-compliant telephony program can provide solutions ranging from complete small office systems or home office systems to a PBX client interface that integrate the computer and telephone networks of an organization.

How telephony makes resources available to users

Network users make calls over lines. They may also use phones for call management and control. These calls are supported by the telephony service providers. A telephony administrator makes telephony resources on a server, such as lines and phones, available to users.
Lines

In telephony, a line is any media stream (data, voice, or video) supported by a telephony service provider. For a modem, the line represents an actual telephone line. For other devices, it can represent another media stream, such as a gateway to the Internet. Calls are made by using a line provided by a telephony service provider. A single line can support more than one call at a time, such as with call waiting and conferencing. The telephony service provider determines how physical devices are represented by telephony lines.

Phones

A phone in telephony represents terminal equipment that is supported by a telephony service provider. In telephony, a "phone" closely models a physical telephone, but might not be actual hardware. It includes the concepts of a hookswitch, handset, speaker, microphone, display, lamps, and programmable buttons. As with an actual telephone on your desk, a phone may be used without actually making calls to someone else. For example, you can use a telephone handset to listen to or retrieve voice mail messages.

A phone does not have to represent actual hardware; it can be emulated in software. For instance, this type of phone might be a program that uses TAPI or a telephony service provider. A physical phone is not required to manage a media stream and, although all telephony service providers support lines, not all telephony service providers support phones.

How TAPI supports telephony

The Windows Vista and Windows Server 2008 operating systems support computer-telephony integration, from simple small office or home-based solutions to full-scale, enterprise-wide solutions. Low-level telephony solutions enable an individual to:

  • Use a computer as an answering machine or voice mailbox.

  • Use a computer to send and receive faxes.

  • Use a microphone and speaker or a speakerphone connected to a multimedia computer as a phone system.

  • Log on to a computer from a remote location.

These solutions are typically supported by a direct connection from a desktop computer to a phone line with a modem. Enterprise-wide solutions rely on a network and enable an organization to:

  • Use a computer either as a multiline phone system or as a multifunction PBX controller.

  • Provide a voice mail system across your entire enterprise.

  • Provide a fax system across your entire enterprise.

  • Provide on-demand audio information services that allow callers to retrieve pre-recorded or computer-generated text-to-speech information.

  • Fax information to customers on demand, based on touch-tone keys or other input.

  • Implement automatic, list-based dialing for telemarketing.

  • Deliver database information related to a call (such as a customer profile or account information) at the same time it is switched to a desktop.

  • Create a single, easy-to-use client program to manage all communications, such as voice, pager, e-mail, and conferencing.

  • Provide dial-up access to the network.

On a network, a hardware interface adapter on a server connects the LAN to a public or private telephone network. The adapter is supported by a telephony service provider. Programs running on the server provide calling features such as conferencing, transferring, forwarding, holding, and automatic redialing. The server controls the calls going through the network and out onto the PBX.

Client programs provide voice, video, fax, and data communications for the user. The Telephony service on the client uses the Windows Remote Service Provider to communicate over the network with the telephony service providers on the server, and the actual telephony services are provided by the telephony service providers managing telephony devices on the server.

See Also

  • Telephony Service Providers
  • PSTN Telephony
  • PSTNs, PBXs, and Computer Networks
  • How Telephony Supports Programs and Hardware


Telephony Service Providers

The following telephony service providers are supplied with this version of the Windows operating system.

HID Phone Telephony Service Provider

The Human Interface Device (HID) Phone telephony service provider allows users of TAPI-based programs to make and receive telephone calls by using universal serial bus (USB) telephone handsets connected to their computers. This service provider is installed with Microsoft® Windows Server® 2008, and it requires no configuration.

NDIS Proxy Telephony Service Provider

The Network Driver Interface Specification (NDIS) Proxy telephony service provider enables the Telephony service to control NDIS 5 devices. Routing and Remote Access uses this telephony service provider to set up network connections across NDIS WAN devices. This service provider is installed with the Windows Vista, Windows Server 2008, Windows XP, and Windows Server 2003 operating systems. To map addresses for the different types of calls received by the NDIS Proxy telephony service provider on the local computer, see Configure a Telephony Service Provider on a Telephony Client.

TAPI Kernel-Mode Service Provider

The TAPI Kernel-Mode service provider allows TAPI to control NDIS 4 devices. Network Connections uses this telephony service provider to set up network connections across NDIS WAN devices. This service provider is installed with the Windows Vista, Windows Server 2008, Windows XP, and Windows Server 2003 operating systems, and it requires no configuration.

Unimodem 5 Service Provider

The universal modem driver (Unimodem) provides services for data, fax, and voice modems so that users and program developers do not have to learn or maintain modem AT commands to dial, answer, and configure modems. Unimodem performs these tasks by using files that specify the AT command sets and expected responses for modems. These files usually have an .inf extension. Unimodem supports both data and voice, so that a modem can be used for data and fax functions, as a speaker phone, as an answering machine, and so on. This service provider is installed with the Windows Vista, Windows Server 2008, Windows XP, and Windows Server 2003 operating systems.

Windows Remote Service Provider

The Windows Remote Service Provider enables a client computer to access and control remote telephony devices connected to a server computer, such as telephones and phone lines. The remote service provider makes the client-to-server link transparent to programs.

How the Windows Remote Service Provider works

Architecture of telephony service over a network

The Windows Remote Service Provider resides on the client computer, where it appears as a telephony service provider. When a program makes a telephony request, the service provider interprets the request and sends it across the computer network to the Telephony service running on the server. The program then uses the telephony service provider for the telephone device installed on the server. By using this solution, clients can share a telephony resource over the network.

The Windows Remote Service Provider is installed with the Windows Vista, Windows Server 2008, Windows XP, and Windows Server 2003 operating systems.

Additional considerations

  • The H.323 and IP Multicast providers that were included with Windows XP and Windows Server 2003 are no longer available.

  • For information about configuring telephony service providers, see Manage Telephony Service Providers on a Server

See Also

  • Introduction to Telephony
  • PSTN Telephony
  • PSTNs, PBXs, and Computer Networks
  • How Telephony Supports Programs and Hardware


PSTN Telephony

The public switched telephone network (PSTN) is a traditional, circuit-switched network that is optimized for real-time voice communication. When you call someone, you close a switch by dialing and establish a circuit with the other party. The PSTN guarantees quality of service by dedicating the circuit to your call until you hang up the telephone. Whether you and your party are talking or silent, you continue to use the same circuit until you hang up.

Telephony services in Windows Vista and Windows Server 2008 enables programs to communicate easily over the traditional telephone network. Telephony server provides support for the direct connection to a PSTN network, automatic phone dialing, and interfaces for conference calling, voice mail, and caller ID.

Telephony services helps make the Windows Vista and Windows Server 2008 operations systems a powerful and flexible platform for developing and using computer-telephony integration (CTI) programs. Programs can build on the Telephony service client-server support to provide a graphical interface for system administration and enhanced services, such as voice mail, call queueing, call forwarding, telephony-computer integration, and speech recognition. Besides enabling individual programs to provide telephony services, the Telephony service manages the telephony devices, so that more than one program using a line can remain active simultaneously. One program can wait for a call while another is dialing out.

In a client-server environment, telephony can be managed like any other network service. You can specify the lines and phones available to specific users and use domain security to control access to telephony resources. Telephony service providers and all stored parameters can be updated across a LAN, making it easy to set up, use, and manage resources without regard to physical location.

See Also

  • Introduction to Telephony
  • Telephony Service Providers
  • PSTNs, PBXs, and Computer Networks
  • How Telephony Supports Programs and Hardware


PSTNs, PBXs, and Computer Networks

In telephony, desktop computers interact with telephony hardware. Most PBXs implement the computer-telephony integration (CTI) link by using hardware that connects the PBX to one or more computers. Communication between a PBX and computers is rarely straightforward, because many vendors implement the CTI link differently. Furthermore, there is no standard for encoding data on the CTI link. As a result, computer-based telephony programs often need to understand the switch's proprietary language, which requires a separate driver. By using TAPI, you can use one API that many programs can use to request telephony services, and supply one translator (called a telephony service provider) for each PBX or other piece of telephony hardware.

Windows supplies several telephony service providers. The telephony service provider that enables telephony client-server functionality is the Microsoft Windows Remote Service Provider. Proprietary hardware might require additional telephony service providers, which are normally packaged with the hardware or available from the equipment manufacturer.

Microsoft Windows client-server components

Windows includes the following components that support client-server CTI.
Server-side components

The following components are available on the telephony server:

  • Telephony snap-in. Enables administrators to administer and monitor a telephony server, lines, phones, and users.

  • Telephony service provider. Translates between the generalized commands created by the Telephony service and the proprietary commands that the hardware uses. Provided by the hardware vendor.

  • Telephony service. On the server side, communicates with the remote service provider running on the clients. Also communicates with telephony programs running on the server, such as the client manager program.

Client-side components

The following components must run on the client or appear on the client:

  • Telephony service. Communicates with client-side telephony programs by using the TAPI interface layer and acts as a link between those programs and the Windows Remote Service Provider.

  • Windows Remote Service Provider. Communicates over the network with the Telephony service running on the telephony server.

Note that these components do not include client-side TAPI-based programs. Some general purpose programs use TAPI. Specialized programs, such as those that manage call centers, are provided by independent software or hardware vendors.

See Also

  • Introduction to Telephony
  • Telephony Service Providers
  • PSTN Telephony
  • How Telephony Supports Programs and Hardware


How Telephony Supports Programs and Hardware

The Telephony service included with Microsoft® Windows Vista® and Windows Server® 2008 supports programs that share the same communication ports and devices through the use of TAPI. Telephony programs use TAPI to communicate with and control the appropriate hardware. TAPI manages the way programs and their call traffic use ports and devices. Telephony service providers provide support for particular devices or classes of devices.

Telephony Remote Architecture

Architecture of telephony service over a network

Telephony service providers

Telephony service providers are dynamic link libraries (DLLs) that translate the commands for a specific telephony device, carrying out the low-level tasks required to communicate over telephone and IP networks.

How telephony makes services available

The Telephony service prioritizes TAPI requests from different communication programs, so they can run simultaneously while sharing communication ports and devices. Each service provider controls its hardware. For example, one program can use telephony functions to make outgoing calls while other programs are waiting for incoming calls.

Although only one program controls any single call, the devices are available to other programs, and users do not have to close other programs that share a communication port.

Supplied telephony service providers

The following table lists the telephony service providers that are supplied with Windows Vista and Windows Server 2008.

Telephony service provider | Usage
HID Phone | Human Interface Device (HID) telephone communications
Unimodem 5 | Modems
NDIS Proxy | Connection-oriented network devices using NDIS 5
TAPI Kernel-Mode | Network devices using NDIS 4
Windows Remote | Client-server telephony
Note

The IP Telephony H.323 and Multicast Conference telephony service providers that were included in previous versions of Windows are no longer available.

For more information about telephony service providers, see Telephony Service Providers.

Additional hardware support

Other telephony service providers can be installed, in addition to telephony hardware or software.

Hardware manufacturers typically supply device drivers for their hardware. To provide telephony services for the hardware, the manufacturers or independent software vendors provide telephony service providers to control the hardware. Each service provider supports at least one device specific to that category of communication, such as a fax board, an ISDN card, a telephone, or a modem. Some service providers support several devices, or even an entire class of devices.

See Also

  • Introduction to Telephony
  • Telephony Service Providers
  • PSTN Telephony
  • PSTNs, PBXs, and Computer Networks


Using Telephony

This section covers:

  • Information about Phone Dialing in Windows

  • Telephony Hardware Requirements

  • Eliminating Acoustic Echo

  • Setting Up the PSTN Server and Client

  • Managing Telephony from the Command Line

See Also

  • Telephony Overview
  • Understanding Telephony


Information about Phone Dialing in Windows

When you need to dial a phone number using a TAPI-compliant program, you must provide the phone number to TAPI in a way that it can interpret and correctly dial the number from your current location. For information about how TAPI phone numbers are formatted, and to configure how Windows dials those numbers, see "Changing How Windows Dials Phone Numbers" in the Network and Sharing Center Operations Guide (http://go.microsoft.com/fwlink/?linkid=81008).

See Also

  • Telephony Hardware Requirements
  • Eliminating Acoustic Echo
  • Setting Up the PSTN Server and Client
  • Managing Telephony from the Command Line


Telephony Hardware Requirements

To hook up a regular (PSTN) phone line to your local computer, you must have a voice modem. To send and receive faxes in addition to making voice or data calls, you must have a fax modem.

To use IP telephony service providers (available from third-party vendors), your computer must have a sound card, video camera, speakers, and a microphone (or headset).

To support speech and hearing simultaneously, you must have a full-duplex sound card.

To include video communications, you must have a video capture card.

You might need to install other hardware for special telephony programs. For example, to connect trunk lines for a personal computer-based telephony server or cables to connect to a PBX system, you might need expansion cards. For additional information about your telephony hardware requirements, consult your hardware vendor or hardware documentation.

See Also

  • Information about Phone Dialing in Windows
  • Eliminating Acoustic Echo
  • Setting Up the PSTN Server and Client
  • Managing Telephony from the Command Line


Eliminating Acoustic Echo

Acoustic echo is a common problem with audio conferencing systems. It originates in the local audio loopback that occurs when your microphone picks up audio signals from your speaker, and sends it back to the other participant along with your voice. The other participant hears this echo of his or her own voice as he or she speaks. For example:

  1. Alice and Bob are participating in a call or conference.

  2. Alice speaks into her microphone.

  3. Bob hears Alice's voice played by his speaker.

  4. Bob's microphone also picks up and transmits Alice's voice.

  5. Alice can now hear an echo of her own voice, with a slight delay due to the round-trip transmission time.

Acoustic echo can be caused or exacerbated when very sensitive microphones are used, speaker volume is turned up very high, or the microphone and speaker are very close to one another. Besides being annoying, this can prevent normal conversation among participants in a conference.

Eliminate echo with audio headsets

One of the easiest ways to completely eliminate acoustic echo is to use audio headsets. These play audio at low volume very close to a conference participant's ears. This prevents the microphone from picking up the audio signal.

Many different audio headsets are available to use with personal computers. These have connectors designed to fit into the audio jacks on sound cards. Many also have built-in microphones that enhance audio quality by staying a constant distance from a person's mouth, even while one moves or changes position.

Eliminate echo with acoustic echo cancellation

In Windows Vista and Windows Server 2008, TAPI provides support for acoustic echo cancellation (AEC). During the process of AEC, a digital signal processor electronically compares the speaker signal to the microphone signal, and then subtracts the speaker signal from the microphone signal. In this way, AEC prevents the speaker sound from being fed back into the microphone and transmitted as an echo.

See Also

  • Information about Phone Dialing in Windows
  • Telephony Hardware Requirements
  • Setting Up the PSTN Server and Client
  • Managing Telephony from the Command Line


Setting Up the PSTN Server and Client

Telephony programs can use telephony devices controlled by both local and remote telephony service providers. For remote devices, the Telephony Server controls user access to lines and phones. The Windows Remote Service Provider on client computers gives users access to telephony devices on remote servers. The following instructions summarize how to set up the telephony server and clients.

Select a server that is part of a domain

Make sure that the server that will be used as a telephony server is part of a domain and that the domain is trusted by the telephony users' domains. Add telephony clients to this domain or a trusted domain. Clients cannot be logged on to more than one domain at a time.

Administer the telephony server

Log on to the server as an administrator. Administrators of the Telephony service must be in the same domain as the server or in trusted domains. Use the Telephony snap-in in the Microsoft Management Console (MMC) to administer the Telephony service on the local computer. To open the Telephony snap-in, see Open the Telephony Snap-in.

Enable the telephony server

The telephony server is automatically installed with Windows Server 2008. To begin using the telephony server, you must first enable it, and then specify the logon account for the Telephony service on the server. You can also specify additional telephony administrators. They do not have to have administrative credentials on the entire server.

  • Use the Telephony snap-in to enable the telephony server. For more information, see Enable or Disable a Telephony Server.

  • When you enable the telephony server, enter the user name and password of the domain user account to run the Telephony service on the server. (For more information, see Change the Telephony Service Logon Account.) This account must be in the Administrators group on the server. It must also be in the same domain as the server or in a fully trusted domain. You might want to create a special account in the domain for this purpose. If you do, use an easily recognizable name, such as TAPI_ADMIN.

  • Designate individuals who will administer the telephony server. For more information, see Designate Telephony Administrators. This procedure enables you to allow users who do not have administrative credentials on the telephony server to administer the Telephony service. This procedure does not give users additional administrator rights and permissions on the server. Users who have administrative credentials on the telephony server can administer the Telephony service just as they can administer any other service on the computer. These users must be in the same domain as the telephony server or in fully trusted domains.

Provide access to telephony service providers

Specify which users have access to the telephony service providers on the telephony server. This task is also performed in the Telephony snap-in. You can do this by assigning users to a line or phone belonging to the service providers. For more information, see Assign a Telephony User to a Line or a Phone. Users need to be in the same domain as the telephony server or in a trusted domain. If you need to delete a user, follow the steps in Remove Users from Telephony Lines or Phones.

Set up the telephony clients

You must specify the telephony servers to be used by the client. For more information, see Specify Telephony Servers on a Telephony Client. The clients must be in the same domain as the telephony server or in fully trusted domains.

See Also

  • Information about Phone Dialing in Windows
  • Telephony Hardware Requirements
  • Eliminating Acoustic Echo
  • Managing Telephony from the Command Line


Managing Telephony from the Command Line

In addition to the Telephony snap-in, you can use command-line tools to manage telephony servers and clients:

  • You can use TSecImp to import assignment information from an Extensible Markup Language (XML) file into a telephony server security file (Tsec.ini) and to set up or disable telephony clients. For more information, see Using the TSecImp Command-Line Tool.

  • If your telephony clients Windows 2000, you must run TcmSetup to set up those telephony clients. For more information, see Using the TcmSetup Command-Line Tool.

See Also

  • Information about Phone Dialing in Windows
  • Telephony Hardware Requirements
  • Eliminating Acoustic Echo
  • Setting Up the PSTN Server and Client


Telephony Troubleshooting

What problem are you having?

  • One or more client computers cannot see the telephony server.

  • Client computers cannot see lines on the telephony server.

  • A user cannot see lines or phones on the telephony server even though the server is set up correctly and the lines or phones have been assigned to the user.

  • A program fails to start after a user canceled out of the telephony location information dialog box.

  • A user cannot see a new line on the telephony server, even though the server administrator has assigned the user to the line.

  • A telephony program dials a long distance number incorrectly.
One or more client computers cannot see the telephony server.

Cause: The server cannot be reached on the network because it is not set up correctly.

Solution: Ensure the following:

  • The client computers can successfully log on to a domain.

  • The client computers can successfully contact the server by using the ping command.

  • That the telephony server has been configured correctly.

See also: Manage Telephony Servers.

Client computers cannot see lines on the telephony server.

Cause: The telephony server has not been set up correctly, or users have not been authorized to access lines on the server.

Solution: When a TAPI-based program accesses lines on the telephony server, the user who is running the program process is first authenticated. For the user to see the lines, the lines must have been assigned to the user. Ensure that the server has been set up correctly and that the user is assigned lines on the server.

See also: Manage Telephony Servers; Assign a Telephony User to a Line or a Phone.

A user cannot see lines or phones on the telephony server even though the server is set up correctly and the lines or phones have been assigned to the user.

Cause: The client computer has not been enabled to use the telephony server.

Solution: Use tcmsetup on the client computer to specify the telephony server.

See also: Specify Telephony Servers on a Telephony Client; Using the TcmSetup Command-Line Tool.

A program fails to start after a user canceled out of the telephony location information dialog box.

Cause: The program requires TAPI to translate addresses, but address translation requires current telephony location information, which has not been specified.

Solution: When the location information dialog box is displayed, the user must enter the country/region, local area code, external line access settings, and select tone or pulse dialing. The user can instead create a location for telephony.

See also: "Changing How Windows Dials Phone Numbers" in the Network and Sharing Center Operations Guide (http://go.microsoft.com/fwlink/?linkid=81008).

A user cannot see a new line on the telephony server, even though the server administrator has assigned the user to the line.

Cause: When you assign a logged-on user to a line on the telephony server, the new settings will not be available until the user restarts the Telephony service on the client computer.

Solution: Stop all client TAPI-based programs on the client so that the Telephony service will shut down. When the client programs restart, they can see the newly allocated lines. If you cannot get TAPI to shut down, restart the client computer.

See also: Manage Telephony Clients and Users.

A telephony program dials a long distance number incorrectly.

Cause: The program is not sending the correct number to TAPI.

Solution: Check that the number is entered correctly. If the long distance dialing rules for the country/region code are not being implemented, try entering the phone number in canonical address format:

+ Country/RegionCode ( AreaCode ) SubscriberNumber

This is a universal address format for telephone numbers, and it is recognized by TAPI. The format distinguishes the country/region code, area code, and number, so TAPI will dial according to the dialing rules for the country or region.

See also: "Dialing Phone Numbers" in the Network and Sharing Center Technical Reference (http://go.microsoft.com/fwlink/?linkid=81010).

See Also

  • Telephony Checklists
  • Telephony Best Practices
  • Telephony How To...
  • Telephony Concepts


User Interface: Manage Telephony Servers

The ServerName Properties dialog box allows you to enable or disable the Telephony Server component on your Microsoft® Windows Server® 2008 computer. You can configure the user account that the service uses to log on, who can be an administrator, and how frequently the status of the telephony devices attached to your computer is updated

Setup Tab

The Setup tab configures the Telephony service and who can administer it.

Enable telephony server check box | Checking this check box turns on the Telephony Server features on this computer. Clearing the check box turns off all Telephony Server features on the computer. Changing this setting requires the Telephony service to be restarted and may drop any calls currently in progress.
User Name | Specifies the user account that the Telephony service uses to run.
Password | Specifies the password to the user account that the Telephony service uses to run.
Telephony administrators | The Administrators list box identifies the user accounts that currently have the privileges to administer the telephony service.
Add | Displays a Select Users dialog box for you to identify user accounts to be added to the list of Telephony Server administrators.
Remove | Removes the selected user account from the list of Telephony Server administrators.

Auto Updates Tab

Telephony Server can keep track of the status of the telephony devices attached to the computer. If you choose to enable automatic status updates, you can specify the interval at which Telephony Server implements those updates.

Enable device status auto updates | Checking this check box specifies that Telephony Server is to update the status of the telephony devices attached to the computer at the interval specified below.
Interval | Specifies the number of hour and minutes between queries on the status of the telephony devices attached to the computer.

See Also

  • Telephony Checklists
  • Telephony Best Practices
  • Telephony How To...
  • Telephony Concepts
  • Telephony Troubleshooting


User Interface: Manage Telephony Service Providers

Telephony Providers are software components that allow your Telephony Server to manage specific types of telephony devices. For descriptions of the Telephony Providers included with Windows, see the Telephony Server Technical Reference (fwlink to Telephony Server Technical Reference).

Telephony Providers dialog box

The Telephony Providers dialog box displays the current providers that are installed and available to the telephony users on your computer.

Add | Opens the Add Provider dialog box which displays the currently available providers on your computer and allows you to install them for use.
Remove | Uninstalls the selected telephony provider. To use the provider again, you must click Add and reinstall the provider.
Configure | Allows you to configure any provider specific options. The choices available to you are dependent on the provider. If there are no configurable options, then the Configure button is disabled.
Close | Closes this dialog box and returns to the Telephony MMC snap-in.

See Also

  • Telephony Checklists
  • Telephony Best Practices
  • Telephony How To...
  • Telephony Concepts
  • Telephony Troubleshooting